echo off
SET BBS=C:\BINK
SET BINKLEY=C:\BINK
C:
cd\bink
rem   OpusCom1 is your fossil driver.  You might wish to use X00 or BNU 
rem   instead.  (if OpusCom doesn't work well for you)
opuscom1
rem   Use Ocom_Cfg if you need to lock the com port with a 16550 UART
rem   ---------------------------------------------------------------
REM  Ocom_Cfg C L1=19200 S2=2048,2048
rem  Usage: Ocom_Cfg [C] [I] [Lx=baud] [R] [Sx=y,z]
rem
rem         C - Attempt to make Opus!Comm the int 14 handler (capture)
rem         I - Opus!Comm will not identify itself on each init call
rem         Lx=baud - Lock COMx: at baud rate 'baud'
rem                   use 1 or 2 for x.  Use 0 for returning
rem                   the port to the default configuration.
rem         R - Remove Opus!Comm from memory
rem         Sx=y,z - Size COMx: buffers at y for RX and z for TX
rem                   y and z must be multiples of two (32 - 4096)

rem  VFOS_IBM will give your Binkley screen color.
VFOS_IBM
pause
:Bink
C:
cd\bink
BT
:TestLevel
If ErrorLevel 255 Goto Bink
If ErrorLevel 200 Goto MailIn
If ErrorLevel 150 Goto MakePoll
If ErrorLevel 100 Goto F10
If ErrorLevel  90 Goto F9
If ErrorLevel  80 Goto F8
If ErrorLevel  70 Goto F7
If ErrorLevel  60 Goto F6
If ErrorLevel  50 Goto F5
If ErrorLevel  40 Goto F4
If ErrorLevel  30 Goto F3
If ErrorLevel  20 Goto F2
If ErrorLevel  10 Goto F1
Goto Exit

:Help
:F1
Echo.
Echo          F1 - HELP Notice              F2 - scan all messages
Echo          F3 -                          F4 -
Echo          F5 - read/write messages      F6 - process incoming mail
Echo          F7 - renumber/purge messages  F8 -
Echo          F9 -                         F10 - Poll bossnode
Echo.
pause
Goto Bink

:ScanAll
:F2
EZPoint /B /X
Goto Menu

:F3
Echo Errorlevel 30 for your setup
Goto Bink

:F4
Echo Errorlevel 40 for your setup
Goto Bink

:Reader
:F5
EZPoint
Goto Bink

:MailIn
:F6
EZPoint /B
Goto Bink

:F7
EZPoint /B /R
Goto Bink

:F8
Echo Errorlevel 80 for your setup
Goto Bink

:F9
Echo Errorlevel 90 for your setup
Goto Bink

:MakePoll
:F10
IF EXIST C:\Bink\OUT\*.$* Del C:\Bink\OUT\*.$*
Echo.>>C:\bink\out\007c03ea.dlo
Goto Bink

:Exit
VFOS_DEL
Ocom_Cfg R
Echo.

